NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder Class Reference

Represents a NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder builder. More...

Inheritance diagram for NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types {
  Sphere, Cylinder, Block, Circle,
  Rectangle, Torus
}
 Type of primitive. More...
 

Public Member Functions

unsafe void UpdateMesh ()
 Updates the mesh data after changes in the origin. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int CircularSegments [get, set]
 Returns or sets the number of segments in circular sectional direction of torus. More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height. More...
 
unsafe NXOpen.Expression HeightZ [get]
 Returns the height in z direction. More...
 
unsafe NXOpen.Expression InnerSize [get]
 Returns the inner size of torus. More...
 
unsafe NXOpen.Expression LengthX [get]
 Returns the length in x direction. More...
 
unsafe NXOpen.Point Origin [get, set]
 Returns or sets the origin. More...
 
unsafe NXOpen.Expression OuterSize [get]
 Returns the outer size of torus. More...
 
unsafe int RadialSegments [get, set]
 Returns or sets the number of segments in radial direction of torus. More...
 
unsafe NXOpen.Expression Size [get]
 Returns the size. More...
 
unsafe
NXOpen.GeometricUtilities.TransformerData 
Transformer [get]
 Returns the transformation tool. More...
 
unsafe
NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Types 
Type [get, set]
 Returns or sets the type. More...
 
unsafe NXOpen.Expression WidthY [get]
 Returns the width in y direction. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder builder.

To create a new instance of this class, use NXOpen.Features.Subdivision.SubdivisionBodyCollection.CreateSubdivisionPrimitiveShapeBuilder

Default values.

Property Value

CircularSegments

4

Height.Value

100 (millimeters part), 4 (inches part)

HeightZ.Value

100 (millimeters part), 4 (inches part)

InnerSize.Value

50 (millimeters part), 2 (inches part)

LengthX.Value

100 (millimeters part), 4 (inches part)

OuterSize.Value

100 (millimeters part), 4 (inches part)

RadialSegments

8

Size.Value

100 (millimeters part), 4 (inches part)

WidthY.Value

100 (millimeters part), 4 (inches part)

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilderEx instead.

Member Enumeration Documentation

Type of primitive.

Enumerator
Sphere 
Cylinder 
Block 
Circle 
Rectangle 
Torus 

Member Function Documentation

unsafe void NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.UpdateMesh ( )
inline

Updates the mesh data after changes in the origin.

Created in NX9.0.0

License requirements: None.

Property Documentation

unsafe int NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.CircularSegments
getset

Returns or sets the number of segments in circular sectional direction of torus.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Height
get

Returns the height.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.HeightZ
get

Returns the height in z direction.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.InnerSize
get

Returns the inner size of torus.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.LengthX
get

Returns the length in x direction.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Origin
getset

Returns or sets the origin.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.OuterSize
get

Returns the outer size of torus.

Created in NX10.0.0

License requirements: None.

unsafe int NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.RadialSegments
getset

Returns or sets the number of segments in radial direction of torus.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Size
get

Returns the size.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.TransformerData NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Transformer
get

Returns the transformation tool.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Types NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.Type
getset

Returns or sets the type.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_subdivision (" NX SUBDIVISION")

unsafe NXOpen.Expression NXOpen.Features.Subdivision.SubdivisionPrimitiveShapeBuilder.WidthY
get

Returns the width in y direction.

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.